Crystal Space: iParticleBuiltinEffectorVelocityField Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iParticleBuiltinEffectorVelocityField Struct Reference
[Defaulteffectors]

Velocity field effector. More...

`#include <imesh/particles.h>`

Inheritance diagram for iParticleBuiltinEffectorVelocityField:

[legend]
List of all members.

## Public Member Functions
virtual float | GetFParameter (size_t parameterNumber) const =0
| Get value of scalar parameter.
virtual size_t | GetFParameterCount () const =0
| Get the number of set scalar parameters.
virtual csParticleBuiltinEffectorVFType | GetType () const =0
| Get force field type.
virtual csVector3 | GetVParameter (size_t parameterNumber) const =0
| Get value of vector parameter.
virtual size_t | GetVParameterCount () const =0
| Get the number of set vector parameters.
virtual void | SetFParameter (size_t parameterNumber, float value)=0
| Set scalar parameter.
virtual void | SetType (csParticleBuiltinEffectorVFType type)=0
| Set force field type.
virtual void | SetVParameter (size_t parameterNumber, const csVector3 &value)=0
| Set vector parameter.

## Detailed Description

Velocity field effector.

The velocity field effector works by taking a function that defines the velocity as a function of point in space and time, and then integrate the position according to this function.

The functions can have a number of (optional) scalar and vector parameters.

See also:
  csParticleBuiltinEffectorFFType

Definition at line 754 of file particles.h.

## Member Function Documentation

virtual float iParticleBuiltinEffectorVelocityField::GetFParameter | ( | size_t | parameterNumber | ) | const`[pure virtual]`

Get value of scalar parameter.

virtual size_t iParticleBuiltinEffectorVelocityField::GetFParameterCount | ( |  | ) | const`[pure virtual]`

Get the number of set scalar parameters.

virtual csParticleBuiltinEffectorVFType iParticleBuiltinEffectorVelocityField::GetType | ( |  | ) | const`[pure virtual]`

Get force field type.

virtual csVector3 iParticleBuiltinEffectorVelocityField::GetVParameter | ( | size_t | parameterNumber | ) | const`[pure virtual]`

Get value of vector parameter.

virtual size_t iParticleBuiltinEffectorVelocityField::GetVParameterCount | ( |  | ) | const`[pure virtual]`

Get the number of set vector parameters.

virtual void iParticleBuiltinEffectorVelocityField::SetFParameter | ( | size_t | parameterNumber,
|  | float | value |
| ) |  |  | `[pure virtual]`

Set scalar parameter.

virtual void iParticleBuiltinEffectorVelocityField::SetType | ( | csParticleBuiltinEffectorVFType | type | ) | `[pure virtual]`

Set force field type.

virtual void iParticleBuiltinEffectorVelocityField::SetVParameter | ( | size_t | parameterNumber,
|  | const csVector3 & | value |
| ) |  |  | `[pure virtual]`

Set vector parameter.

The documentation for this struct was generated from the following file:

- imesh/particles.h